
/*
 * @bCR
 * 
 * Licensed Materials-Property of IBM, 5697-EAS
 * (C)Copyright IBM Corp 2002
 * (C)Copyright Tivoli Systems, an IBM Co 2002
 * All Rights Reserved
 * US Government Users Restricted Rights
 * Use, duplication, or disclosure restricted
 * by GSA ADP Schedule Contract with IBM Corp
 * 
 * @eCR
 */

/*
 * Component Name: EIF
 *           File: ./sample/eifrcv3.c
 *
 * : 5/29/02 15:28:29 $
 *
 * : src/event_delivery/sample/eifrcv3.c, tec_eif, tec_3.9.0 $
 *
 * : 1.5 $
 *
 */

/*
 * Description:
 *      
 * Purpose:
 *      
 * Usage:
 *      
 * Dependencies:
 *      
 */

/*
 * Change History:
 *   author   date      description 
 *   xxxxxxx  05/01/02  added this section
 *      
 */

/*
 #
 # SAMPLE:
 #
 # usage of event reception
	creating handles
*/
static int debuggg = 0;

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include "tec_eeif.h"

#define DEFAULT_CONFIG_FILE  "configg"

tec_handle_t *th = NULL;
char *cfgFileName = NULL;


/*************************************** */
int
main (int argc, char *argv[])
{
	printf ("Sample: EIF Reception v1.3\n");


	if (!cfgFileName)
		cfgFileName = DEFAULT_CONFIG_FILE;

	printf ("initializing tec_agent from [%s]...\n", cfgFileName);

	if (tec_agent_init (cfgFileName) != 0)
	{
		printf ("Error tec_agent_init\n");
		return 1;
	}


	printf ("creating handle...\n");

	th=tec_create_EIF_handle (NULL,0, reception);
	tec_destroy_handle (th);
	th=NULL;


	printf ("creating handle...\n");

	th=tec_create_EIF_handle (cfgFileName,0, reception);
	tec_destroy_handle (th);
	th=NULL;


	printf ("creating handle...\n");

	th=tec_create_handle_c (NULL,NULL,0,0,use_default,reception);
	tec_destroy_handle (th);
	th=NULL;

	printf ("creating handle...\n");

	th=tec_create_handle_c (NULL,NULL,0,0,connection_oriented,reception);
	tec_destroy_handle (th);
	th=NULL;

	printf ("creating handle...\n");

	th=tec_create_handle_c (NULL,NULL,0,0,connection_less,reception);
	tec_destroy_handle (th);
	th=NULL;



#if 0
	printf ("creating handle...\n");

	th=tec_create_handle_c (NULL,"localhost",5588,0,use_default,reception);
	tec_destroy_handle (th);
	th=NULL;


	printf ("creating handle...\n");

	th=tec_create_handle_c (NULL,NULL,5588,0,use_default,reception);
	tec_destroy_handle (th);
	th=NULL;


	printf ("creating handle...\n");

	th=tec_create_handle_c (cfgFileName,NULL,5588,0,use_default,reception);
	tec_destroy_handle (th);
	th=NULL;

#endif

	return 0;
}
