
/*
 * @bCR
 * 
 * Licensed Materials-Property of IBM, 5697-EAS
 * (C)Copyright IBM Corp 2002
 * (C)Copyright Tivoli Systems, an IBM Co 2002
 * All Rights Reserved
 * US Government Users Restricted Rights
 * Use, duplication, or disclosure restricted
 * by GSA ADP Schedule Contract with IBM Corp
 * 
 * @eCR
 */

/*
 * Component Name: EIF
 *           File: ./sample/eifsend2.c
 *
 * : 5/20/02 15:07:54 $
 *
 * : src/event_delivery/sample/eifsend2.c, tec_eif, tec_3.9.0 $
 *
 * : 1.2 $
 *
 */

/*
 * Description:
 *      
 * Purpose:
 *      
 * Usage:
 *      
 * Dependencies:
 *      
 */

/*
 * Change History:
 *   author   date      description 
 *   xxxxxxx  05/01/02  added this section
 *      
 */

/*
 #
 # SAMPLE:
 #
 # usage of event submission
	creating handles
*/

#include <stdio.h>
#include <string.h>
#include <stdlib.h>

#include "tec_eeif.h"

tec_handle_t *th = NULL;


/*************************************** */
int
main (int argc, char *argv[])
{
	printf ("Sample: EIF submission v1.3\n");

	printf ("initializing tec_agent from [%s]...\n", "config");

	if (tec_agent_init ("config") != 0)
	{
		printf ("Error tec_agent_init\n");
		return 1;
	}

	printf ("creating handle...\n");

	th=tec_create_EIF_handle (NULL,0, submission);
	tec_destroy_handle (th);


	printf ("creating handle...\n");

	th=tec_create_EIF_handle ("configfile2",0, submission);
	tec_destroy_handle (th);




	printf ("creating handle...\n");

	th=tec_create_handle_c (NULL,NULL,0,0,use_default,submission);
	tec_destroy_handle (th);

	printf ("creating handle...\n");

	th=tec_create_handle_c (NULL,NULL,0,0,connection_oriented,submission);
	tec_destroy_handle (th);


	printf ("creating handle...\n");

	th=tec_create_handle_c (NULL,NULL,0,0,connection_less,submission);
	tec_destroy_handle (th);


	printf ("creating handle...\n");

	th=tec_create_handle_c (NULL,"host.com",5588,0,use_default,submission);
	tec_destroy_handle (th);


	printf ("creating handle...\n");

	th=tec_create_handle_c (NULL,NULL,5588,0,use_default,submission);
	tec_destroy_handle (th);


	printf ("creating handle...\n");

	th=tec_create_handle_c ("configfile2",NULL,5588,0,use_default,submission);
	tec_destroy_handle (th);


	return 0;
}
